package it.unibo.cs.labp.slide.mz;

import java.io.PrintStream;

public class PresentazioneConInfo implements IPresentazione {
	private Lucido[] lucidi;
	private IInfo info;
	
	public PresentazioneConInfo(IInfo info, Lucido[] lucidi) {
		this.lucidi = lucidi;
		this.info = info;
	}

	public void print(PrintStream out) {
		out.println("presentazione");
		info.print(out);
		for (int i = 0; i < lucidi.length; i++) {
			lucidi[i].print(out);
		}
	}

	public String toString() {
		return "Mia presentazione";
	}


}
