package it.unibo.cs.labp.slide.al;

import java.io.PrintStream;


public abstract class DomandaRisposteAstratta extends DomandaAstratta {
	private String[] testoRisposte;
	
	public DomandaRisposteAstratta(String quesito, String[] testoRisposte) {
		super(quesito);
		this.testoRisposte = testoRisposte;
	}

	public String[] getTestoRisposte() {
		return testoRisposte;
	}
	public void stampa(PrintStream out) {
		super.stampa(out);
		for (int i = 0; i < testoRisposte.length; i++) {
			out.print(getBox());
			out.println(testoRisposte[i]);
		}
	}
	protected abstract String getBox();

}
