package it.unibo.cs.labp.slide.mz;

import java.io.PrintStream;

public abstract class DomandaRisposteAstratta extends DomandaAstratta {
	private String[] elencoRisposte;

	public DomandaRisposteAstratta(String quesito, String[] elencoRisposte) {
		super(quesito);
		this.elencoRisposte = elencoRisposte;
	}

	public String[] getElencoRisposte() {
		return elencoRisposte;
	}

	public void print(PrintStream out) {
		super.print(out);
		for (int i = 0; i < elencoRisposte.length; i++) {
			out.print(getPrefix());
			out.println(elencoRisposte[i]);
		}
	}

	protected abstract String getPrefix();
}
